xclade
Admin APIViews

List View Configurations

Retrieve a list of view configurations of an entity. The configurations can be filtered by fields like `id`. The configurations can also be paginated. An admin user can only retrieve their own configurations.

GET
/admin/views/{entity}/configurations
AuthorizationBearer <token>

In: header

Path Parameters

entity*string

The entity to retrieve its view configurations (for example, orders)

Query Parameters

offset?number

The number of items to skip when retrieving a list.

limit?number

Limit the number of items returned in the list.

order?string

The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.

with_deleted?boolean

Whether to include deleted records in the result.

id?id|
entity?entity|
name?name|
user_id?user_id|
is_system_default?boolean

Filter by whether the view is a system default.

created_at?

Filter by a view configuration's creation date.

updated_at?

Filter by a view configuration's update date.

fields?string

Comma-separated fields that should be included in the returned data. If a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. Without prefix it will replace the entire default fields.

$and?

Join query parameters with an AND condition. Each object's content is the same type as the expected query parameters.

$or?

Join query parameters with an OR condition. Each object's content is the same type as the expected query parameters.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/views/string/configurations"
{
  "limit": 0,
  "offset": 0,
  "count": 0,
  "estimate_count": 0,
  "view_configurations": [
    {
      "id": "string",
      "entity": "string",
      "name": "string",
      "user_id": "string",
      "is_system_default": true,
      "configuration": {
        "visible_columns": [
          "string"
        ],
        "column_order": [
          "string"
        ],
        "column_widths": {},
        "filters": {},
        "sorting": {
          "id": "string",
          "desc": true
        },
        "search": "string"
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}